Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class BrokerOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.BrokerOperations

    public class BrokerOperations

extends java.lang.Object

Class containing information on broker operations.

Field Summary
`static java.lang.String` | `GET_PROPERTY` GetProperty operation.
`static java.lang.String` | `QUIESCE` Quiesce operation.
`static java.lang.String` | `RESET_METRICS` Reset metrics operation.
`static java.lang.String` | `RESTART` Restart operation.
`static java.lang.String` | `SHUTDOWN` Shutdown operation.
`static java.lang.String` | `TAKEOVER` Takeover operation.
`static java.lang.String` | `UNQUIESCE` Unquiesce operation.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_PROPERTY

    public static final java.lang.String GET_PROPERTY

  GetProperty operation.

  See Also:
    Constant Field Values

### QUIESCE

    public static final java.lang.String QUIESCE

  Quiesce operation.

  See Also:
    Constant Field Values

### RESET_METRICS

    public static final java.lang.String RESET_METRICS

  Reset metrics operation.

  See Also:
    Constant Field Values

### RESTART

    public static final java.lang.String RESTART

  Restart operation.

  See Also:
    Constant Field Values

### SHUTDOWN

    public static final java.lang.String SHUTDOWN

  Shutdown operation.

  See Also:
    Constant Field Values

### TAKEOVER

    public static final java.lang.String TAKEOVER

  Takeover operation.

  See Also:
    Constant Field Values

### UNQUIESCE

    public static final java.lang.String UNQUIESCE

  Unquiesce operation.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.